'use strict'

module.exports = {
  widget: {
    position: 'bottom-left',
    height: 420,
    visibility: 'minimized',
    minimizedHeaderText: {
      offline: 'offline message',
      online: 'online message'
    },
    prechatSurvey: {
      instructions: 'Lorem ipsum dolor sit amet, conse ctetur adipiscing elit, sed do eiusmod tempor incididunt.',
      formFields: [
        {
          type: 'text',
          label: 'Your Name',
          floatLabel: true,
          validators: ['required'],
        }, {
          type: 'text',
          label: 'Your Email',
          floatLabel: true,
          validators: ['required', 'email'],
        }, {
          type: 'select',
          label: 'Select Department',
          validators: ['required'],
          data: {
            '4i24i23439204i424': 'Sales',
            '423894u2345984656': 'Service',
          },
        }
      ],
    },
    offlineSurvey: {
      heading: 'Offline Message',
      instructions: 'Lorem ipsum dolor sit amet, conse ctetur adipiscing elit, sed do eiusmod tempor incididunt.',
      action: 'none',
    },
    postchatSurvey: {
      formFields: [
        {
          type: 'textarea',
          label: 'Comments',
          validators: ['required'],
        }, {
          type: 'ratingSimple',
          label: 'Rate chat',
          validators: ['required'],
        },
      ],
    },
  },
};
