# Reproducing the SegFault

## Pre-requisites

* docker

## Notes

This segfault only occurs (so it seems) when we have 2 couchbase databases running on the same network.

## Steps

1. `docker-compose up -d`
2. enter the container with the node code using: `docker exec -it $(docker ps --filter "name=couchbase-segfault" --format "{{.ID}}") bash`
3. run `node tools/seed.js` until the segfault occurs

## Running inside lldb


1. `docker-compose up -d`
2. enter the container with the node code using: `docker exec -it $(docker ps --filter "name=couchbase-segfault" --format "{{.ID}}") bash`
3. run `lldb -- node tools/seed.js`
4. type `run`

Steps 3 and 4 will have to be repeated until the segfault occurs.
